Unable to add MongoDB River Plugin for ElasticSearch


(Charan Teja) #1

I have downloaded the plugin from GitHub. Plz, help me out.

Thanks!

[ org.elasticsearch.bootstrap.StartupException: java.lang.IllegalStateException: Could not load plugin descriptor for plugin directory [elasticsearch-river-mongodb-2.0.6] at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:140) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Elasticsearch.execute(Elasticsearch.java:127) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.cli.EnvironmentAwareCommand.execute(EnvironmentAwareCommand.java:86) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.cli.Command.mainWithoutErrorHandling(Command.java:124) ~[elasticsearch-cli-6.5.0.jar:6.5.0] at org.elasticsearch.cli.Command.main(Command.java:90) ~[elasticsearch-cli-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:93) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Elasticsearch.main(Elasticsearch.java:86) ~[elasticsearch-6.5.0.jar:6.5.0] Caused by: java.lang.IllegalStateException: Could not load plugin descriptor for plugin directory [elasticsearch-river-mongodb-2.0.6] at org.elasticsearch.plugins.PluginsService.readPluginBundle(PluginsService.java:394) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.findBundles(PluginsService.java:379) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.getPluginBundles(PluginsService.java:372) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.(PluginsService.java:144) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.node.Node.(Node.java:338) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.node.Node.(Node.java:265) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.5.0.jar:6.5.0] at ... 6 more Caused by: java.nio.file.NoSuchFileException: G:\elasticsearch-6.5.0\plugins\elasticsearch-river-mongodb-2.0.6\plugin-descriptor.properties

Caused by: java.nio.file.NoSuchFileException: G:\elasticsearch-6.5.0\plugins\elasticsearch-river-mongodb-2.0.6\plugin-descriptor.properties at java.nio.file.Files.newByteChannel(Files.java:361) ~[?:1.8.0_121] at java.nio.file.Files.newByteChannel(Files.java:407) ~[?:1.8.0_121] at java.nio.file.spi.FileSystemProvider.newInputStream(FileSystemProvider.java:384) ~[?:1.8.0_121] at java.nio.file.Files.newInputStream(Files.java:152) ~[?:1.8.0_121] at org.elasticsearch.plugins.PluginInfo.readFromProperties(PluginInfo.java:162) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.readPluginBundle(PluginsService.java:391) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.findBundles(PluginsService.java:379) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.getPluginBundles(PluginsService.java:372) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.plugins.PluginsService.(PluginsService.java:144) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.node.Node.(Node.java:338) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.node.Node.(Node.java:265) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Bootstrap$5.(Bootstrap.java:212) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Bootstrap.setup(Bootstrap.java:212) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Bootstrap.init(Bootstrap.java:333) ~[elasticsearch-6.5.0.jar:6.5.0] at org.elasticsearch.bootstrap.Elasticsearch.init(Elasticsearch.java:136) ~[elasticsearch-6.5.0.jar:6.5.0]


(David Pilato) #2

Rivers do not exist anymore.
Use an ETL like logstash for example or insert in elasticsearch from your application


(Charan Teja) #3

Thanks For your Fast Reply.